SPLICE_FROM_PIPE(9)

NAME
splice_from_pipe - splice data from a pipe to a file

SYNOPSIS

ssize_t splice_from_pipe(struct pipe_inode_info * pipe, struct file * out, loff_t * ppos, size_t len, unsigned int flags, splice_actor * actor);

ARGUMENTS

pipe
    pipe to splice from

out
    file to splice to

ppos
    position in out

len
    how many bytes to splice

flags
    splice modifier flags

actor
    handler that splices the data

DESCRIPTION

See __splice_from_pipe. This function locks the pipe inode, otherwise it's identical to __splice_from_pipe.

COPYRIGHT